;;;
;;; abbrev-config.el - this is the configuration file for package abbrev
;;;
;;; Copyright (C) 1998 by Janek Schwarz
;;;
;;; Written by: Janek Schwarz <schwarz@informatik.hu-berlin.de>
;;;
;;; Time-stamp: <1998-03-22 11:57:19 schwarz>
;;;

(require 'config-general)

; create an abbrevviation file if none exists
(if (not (file-exists-p "~/.abbrev_defs")) 
  (write-abbrev-file "~/.abbrev_defs"))  

; read it
(read-abbrev-file   "~/.abbrev_defs")

; save it automatically
(setq save-abbrevs t)                

; expand abbreviations
(defun expand-abbrev-or-dabbrev()
  (interactive)
  (if (not (expand-abbrev))
    (progn
    (dabbrev-expand nil))))

(provide 'abbrev-config)

;;; end of abbrev-config.el
