;;;
;;; defaultbanner-config.el - this is the configuration file for package 
;;;
;;; Copyright (C) 2000 by Janek Schwarz
;;;
;;; Written by: Janek Schwarz <schwarz@informatik.hu-berlin.de>
;;;
;;; Time-stamp: <2000-01-19 21:16:49 schwarz>
;;;

(require 'config-general)
(require 'defaultbanner)

;;; changing one of the variables below doesn't have immediate
;;; effect (in Emacs/2 20.3.1.3). Don't know why.
;;; Workaround:
;;;     <M-x>unload-feature<CR> and input 'defaultbanner-config'
;;;     <M-x>load-library<CR> and input 'defaultbanner-config'


;;; PROBLEM: The newest banner can't contain any regexp. These
;;; regexp arn't matched (why?). That means, if the banner
;;; conatins a any CVS/RCS keywords, i.e. $Id$, which change
;;; after check-in then defaultbanner can't match it anymore and
;;; inserts the banner again.  WORKAROUND: keep everything in
;;; db-banner-alist disabled and enable it only, when absolutly
;;; needed (use db-check-every-file in this case).

(setq db-starting-line 1)

(setq db-banners-alist 
      '(
        ("Plotter/.*\\.java$" jsz-plotter-v1-banner nil)
        ("\\(insert\\).*\\.\\(java\\|cc\\|cpp\\|c\\|\\hh\\|hpp\\|h\\)$" 
         jsz-insert-banner nil)
        (".*\\.\\(java\\|cc\\|cpp\\|c\\|\\hh\\|hpp\\|h\\)$" 
         jsz-standard-banner nil)
        ))

;;; Having $Id$ in the banner makes problems. defaultbanner can't
;;; match an expanded $Id$ tag and therefore inserts the banner
;;; again.
(defvar jsz-plotter-v1-banner
  (list 
"/*
 *     jsz.Plotter - a Swing-based Java package for plotting data
 * Copyright (C) 2000  Janek Schwarz <schwarz@informatik.hu-berlin.de>
 *
 *                    This software is dedicated to 
 *                             THE RAMONES
 *                       the best punk band ever.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * $Id$
 */
"

"/\\*
 \\* Copyright (C) .* by Janek Schwarz
 \\* This is for internal use only.
 \\*
 \\* Written by: Janek Schwarz <schwarz@informatik.hu-berlin.de>
 \\*
 \\* Time-stamp: <.*>
 \\*
 \\* \\$.*\\$
 \\*/"
)
  "This variable contains banners used in the jsz.Plotter package." )

;;; Having $Id$ in the banner makes problems. defaultbanner can't
;;; match an expanded $Id$ tag and therefore inserts the banner
;;; again.
(defvar jsz-standard-banner
  (list 

;;; Latest banner. Doesn't contain a time-stamp because the
;;; everchanging time-stamps are annoying if you use CVS.
"/*
 * Copyright (C) 2000 by Janek Schwarz
 * This is for internal use only.
 *
 * Written by: Janek Schwarz <schwarz@informatik.hu-berlin.de>
 *
 * $Id$
 */
"


;;; This banner is the same as the older one below, except it
;;; also contains a CVS variable
"/\\*
 \\* Copyright (C) .* by Janek Schwarz
 \\* This is for internal use only.
 \\*
 \\* Written by: Janek Schwarz <schwarz@informatik.hu-berlin.de>
 \\*
 \\* Time-stamp: <.*>
 \\*
 \\* \\$.*\\$
 \\*/
"

;;; This banner has been used for a couple of years now.
"/\\*
 \\* Copyright (C) .* by Janek Schwarz
 \\* This is for internal use only.
 \\*
 \\* Written by: Janek Schwarz <schwarz@informatik.hu-berlin.de>
 \\*
 \\* Time-stamp: <.*>
 \\*/
"
   )
  "This variable contains generic banners used in all my source files." )

(defvar jsz-insert-banner
  (list 
   ""
   ""))

(provide 'defaultbanner-config)

;;; end of defaultbanner-config.el