;;;
;;; defaultcontent-config.el - this is the configuration file for 
;;;                            package defaultcontent
;;;
;;; Copyright (C) 1998, 1999, 2000, 2001, 2002 by Janek Schwarz
;;;
;;; Written by: Janek Schwarz <schwarz@informatik.hu-berlin.de>
;;;
;;; Time-stamp: <1998-03-22 10:58:33 schwarz>
;;;

(require 'config-general)

(require 'defaultcontent)

(defun jsz-get-user-email-address ()
  "Tries to determine the user's email address. If environment
  variable MAIL is defined it's value is used. Otherwise the value of
  'user-mail-address' is used."
  ;TODO(JS): Define variables as local variables (using let)
  (set 'jsz-ret "No Email Defined")
  (set 'envMail (getenv "MAIL"))
  (set 'emacsMail user-mail-address)
  (if envMail
      (set 'jsz-ret envMail)
    (if emacsMail
        (set 'jsz-ret emacsMail)))
  
  jsz-ret
)

(setq dc-auto-insert-directory "~/lib/insert/")
(setq dc-fast-variable-handling t)
(setq dc-auto-insert-alist 
      '(("\\.tex$"         . "tex-insert.tex")
        ("\\.\\([Hh]\\|hh\\|hpp\\)\\'" . "h-insert.h")
        ("\\.idl$"         . "idl-insert.idl")
        ("\\.\\([Cc]\\|cc\\|cpp\\)\\'" . "cc-insert.cc")
;        ("\\.java$"       . "java-insert.java")
        ("\\.py$"         . "py-insert.py")
        ("[I]?[Mm]akefile" . "makefile-insert")
        ("\\.el$"         . "el-insert.el") 
        ("\\.bib$"         . "bib-insert.bib")))

;;; for more templates see ../packages/defaultcontent.el
(setq dc-expandable-variables-alist
      (append dc-expandable-variables-alist
              '(("@FILE@" (substring 
                          (file-name-nondirectory buffer-file-name) 0 
                          (string-match 
                           "\\." 
                           (file-name-nondirectory buffer-file-name))))
                ("@YEAR@" (substring (current-time-string) -4))
                ("@USERFULLNAME@" (user-full-name))
                ("@USEREMAIL@" (jsz-get-user-email-address))
                )))

(provide 'defaultcontent-config)

;;; end of defaultcontent-config.el
