;;;
;;; emacs-lisp-config.el - this is the configuration file for package 
;;;                        emacs-lisp
;;;
;;; Copyright (C) 1998 by Janek Schwarz
;;;
;;; Written by: Janek Schwarz <schwarz@informatik.hu-berlin.de>
;;;
;;; Time-stamp: <1998-03-22 10:58:33 schwarz>
;;;

(require 'config-general)

(add-hook 'emacs-lisp-mode-hook 
	  '(lambda () 
	     ;;
	     ;; set up a new menu in the elisp mode
	     ;;
	     (define-key emacs-lisp-mode-map [menu-bar elisp]
	       (cons "Elisp" (make-sparse-keymap "elisp")))
	     (define-key emacs-lisp-mode-map [menu-bar elisp debonenoff]
	       '("Cancel Debug on Entry" . cancel-debug-on-entry))
	     (define-key emacs-lisp-mode-map [menu-bar elisp debonen]
	       '("Debug on Entry" . debug-on-entry))
	     (define-key emacs-lisp-mode-map [menu-bar elisp debdefun]
	       '("Debug Defun" . edebug-defun))
	     (define-key emacs-lisp-mode-map [menu-bar elisp evalbuff]
	       '("Eval Buffer" . eval-buffer))
	     (define-key emacs-lisp-mode-map [menu-bar elisp evalreg]
	       '("Eval Region" . eval-region))
	     (define-key emacs-lisp-mode-map [menu-bar elisp evaldef]
	       '("Eval Defun" . eval-defun))
	     (font-lock-mode 1)    
	     (line-number-mode 1)))          ; line-numbers

(provide 'emacs-lisp-config)

;;; end of emacs-lisp-config.el
