;;;
;;; framepop-config.el - this is the configuration file for package framepop
;;;
;;; Copyright (C) 1998 by Janek Schwarz
;;;
;;; Written by: Janek Schwarz <schwarz@informatik.hu-berlin.de>
;;;
;;; Time-stamp: <1998-05-06 21:39:01 schwarz>
;;;

(require 'config-general)

(cond (window-system (require 'framepop)))
(define-key global-map [f11] framepop-map)

(setq framepop-frame-parameters
      '((name . "FRAMEPOP")                     ; use buffer name
        (unsplittable . t)               ; always include this
        (menu-bar-lines . 0)             ; no menu bar
        (minibuffer . nil)               ;    or minubuffer
;        (left . -1)                      ; top left corner of screen,
;        (top . 30)                       ;    away from my main frame
;        (width . 71)                     ; narrower, so it fits nicely
;        (foreground-color . "cornsilk")  
        (font . "-*-courier-medium-r-*-*-12-*-*-*-m-*-*-*")))
(setq framepop-min-frame-size 10)

(setq framepop-auto-resize t)

(setq framepop-lines
     '(lambda (buf)
        (if (string= (buffer-name buf) "*Completions*") nil
          (save-excursion
   	     (set-buffer buf)
;             (point-max)))))
   	     (+ (count-lines (point-min) (point-max)) 1)))))

(provide 'framepop-config)

;;; end of framepop-config.el
