; Datei ~/emacs/keys.el
;

; Funktionstasten
(global-set-key [f1]          'manual-entry)

; in OS/2, we use a package which interfaces view.exe
(if (eq window-system 'pm)
    (global-set-key [f1]        'vh)
  (global-set-key [f1]          'manual-entry)) 		     ;F1 Man-Eintrag
(global-set-key [f2]          'compile)              ;F2 Compiliere Buffer
(global-set-key [f3]          'next-error)           ;F3 Naechster Fehler
(global-set-key [S-f3]        'previous-error);      ;Shift+F3 vorheriger "
(global-set-key [f4]          'goto-line)            ;F4 Gehe zu Zeile
(global-set-key [f5]          'point-to-register-1)  ;F5 Position speichern
(global-set-key [f6]          'jump-to-register-1)   ;F6 zu Position springen
(global-set-key [f7]          'undefined)            ;F7 
(global-set-key [f8]          'undefined)            ;F8 
(global-set-key [f9]          'dict-lookup)          ;F9 
(global-set-key [f10]         'speedbar-get-focus)   ;Speedbar laden
(global-set-key [f12]         'advertised-undo)      ;F12

; Cursortasten / Pgup, Pgdown, Home, End ...

(global-set-key [insertchar]  'overwrite-mode)       ;Einfg - Ins/Ovrwrt
(global-set-key [delete]      'delete-char)          ;Entf
(global-unset-key [S-delete])                        ;delete-region undef.
(global-set-key [up]          'scroll-line-up)       ;Cursor auf
(global-set-key [down]        'scroll-line-down)     ;Cursor ab
;(global-set-key [S-up]        'backward-paragraph)   ;Absatz hoch
;(global-set-key [S-down]      'forward-paragraph)    ;Absatz runter
(global-set-key [prior]       'scroll-page-up)       ;Bild auf
(global-set-key [next]        'scroll-page-down)     ;Bild ab

(if (eq window-system 'pm)
    (progn
      (global-set-key [pageup]      'scroll-page-up)       ;Bild auf
      (global-set-key [pagedown]    'scroll-page-down)     ;Bild ab
      ))
(global-set-key [C-prior]     'beginning-of-buffer)  ;Strg+Bild auf
(global-set-key [C-next]      'end-of-buffer)        ;Strg+Bild ab
(global-set-key [C-left]      'backward-word)        ;Strg+<-- Wort zurueck
(global-set-key [C-right]     'forward-word)         ;Strg+--> Wort vor
(global-set-key [S-left]      'jsz-scroll-right)
(global-set-key [S-right]     'jsz-scroll-left)
(global-set-key [C-delete]    'kill-word)            ;Strg+Entf Wort loeschen
(global-set-key [home]        'beginning-of-line)    ;Pos1 - Anfang Zeile
(global-set-key [end]         'end-of-line)          ;Ende - Ende Zeile
(global-set-key [print]       'lpr-buffer)           ;Druck - Druckt Buffer
(global-set-key [S-print]     'tex-show-print-queue) ;S+Druck - Zeigt Drucker-
                                                     ;warteschlange
;(global-set-key [?{]           'tex-insert-braces)
; Nummernblock
(global-set-key [kp-f1]       'other-window)         ;Keypad /
(global-set-key [kp-f2]       'switch-to-buffer)     ;       *
(global-set-key [kp-f3]       'kill-buffer)          ;       -
;(global-set-key [S-kp-3]      'scroll-other-window)  ;Shift+Pgup
;(global-set-key [S-kp-9]      'scroll-other-window-down) ; Shift +Pgdn

;Tastenkuerzel fuer Textkonsole
(global-set-key [?\e?[?1?~]   'beginning-of-line)    ;Pos1 - Anfang Zeile
(global-set-key [?\e?[?4?~]   'end-of-line)          ;Ende - Ende Zeile
(global-set-key [?\e?[?2?3?~] 'undefined)            ;F11
(global-set-key [?\e?[?2?4?~] 'undefined)            ;F12


;zugehoerige Funktionen
(defun jsz-scroll-right()
  (interactive)
  (scroll-right 2))

(defun jsz-scroll-left()
  (interactive)
  (scroll-left 2))

(defun point-to-register-1()          ;Position in Reg. 1 speichern: F5
  (interactive)                     
  (setq my-point-register 1)          ;globale Var. my-point... auf 1 setzen
  (point-to-register 1))              ;aktuelle Position in Reg. 1 speichern

(defun jump-to-register-1()           ;Position wechseln: F6
  (interactive)                       ;springt zur Position, die mit F5
  (if (= my-point-register 1)         ; gespeichert wurde ...
  (progn
    (setq my-point-register 2)        ;   globale Variable auf 2 setzen
    (point-to-register 2)             ;   aktuelle Position in Reg. 2 speichern
    (jump-to-register 1))             ;   zu Reg. 1 springen
  (progn                              ;... oder zur Position beim letzten
    (setq my-point-register 1)        ;
    (point-to-register 1)             ;   aktuelle Position in Reg. 1 speichern
    (jump-to-register 2))))           ;   zu Reg. 2 springen
  
(defun scroll-line-up()               ;Cursor eine Zeile nach oben bewegen
   (interactive)
   (setq this-command "scroll")                ;als Kommando 'scroll' speichern
   (if (not (equal last-command "scroll"))     ;wenn zuletzt kein 'scroll':
     (setq my-scroll-column (current-column))) ;Spalte in glob. Var. speichern
   (next-line -1)                              ;eine Zeile nach oben
   (move-to-column my-scroll-column))          ;Cursor in gespeicherte Spalte

(defun scroll-line-down()             ;Cursor eine Zeile nach unten
   (interactive)
   (setq this-command "scroll")                ;Funktion wie oben
   (if (not (equal last-command "scroll"))
     (setq my-scroll-column (current-column)))
   (next-line 1)
   (move-to-column my-scroll-column))

(defun scroll-page-up()               ;Cursor eine Seite nach oben
   (interactive)
   (setq this-command "scroll")
   (if (not (equal last-command "scroll"))
     (setq my-scroll-column (current-column)))
   (next-line (- 1 (window-height)))
   (move-to-column my-scroll-column))

(defun scroll-page-down()             ;Cursor eine Seite nach unten
   (interactive)
   (setq this-command "scroll")
   (if (not (equal last-command "scroll"))
       (setq my-scroll-column (current-column)))
   (next-line (- (window-height) 1))
   (move-to-column my-scroll-column))

(defun mark-move-right ()             ;Markieren mit Hilfe der Cursortasten
  "move right and set the mark if its not active"
  (interactive)
  (if (not mark-active)
      (push-mark nil nil t))
  (forward-char))

(defun mark-move-left ()             ;Markieren mit Hilfe der Cursortasten
  "move left and set the mark if its not active"
  (interactive)
  (if (not mark-active)
      (push-mark nil nil t))
  (backward-char))

(defun mark-move-down ()             ;Markieren mit Hilfe der Cursortasten
  "move down and set the mark if its not active"
  (interactive)
  (if (not mark-active)
      (push-mark nil nil t))
  (next-line 1))

(defun mark-move-up ()               ;Markieren mit Hilfe der Cursortasten
  "move up and set the mark if its not active"
  (interactive)
  (if (not mark-active)
      (push-mark nil nil t))
  (previous-line 1))

(defun mark-move-end ()
  "move left and set the mark if its not active"
  (interactive)
  (if (not mark-active)
      (push-mark nil nil t))
  (end-of-line))

(provide 'keys)