;;;
;;; speedbar-config.el - this is the configuration file for package speedbar
;;;
;;; Copyright (C) 1998, 1999, 2002 by Janek Schwarz
;;;
;;; Written by: Janek Schwarz <schwarz@informatik.hu-berlin.de>
;;;
;;; Time-stamp: <2002-11-04 20:53:05 schwarz>
;;;

(require 'config-general)

                                        ; Speedbar, F10 laed ein SB-Fenster
(autoload 'speedbar-frame-mode "speedbar" "Popup a speedbar frame" t)
(autoload 'speedbar-get-focus "speedbar" "Jump to speedbar frame" t)
(setq speedbar-use-imenu-flag t)
(setq speedbar-sort-tags t)
(setq speedbar-activity-change-focus-flag t)
(setq speedbar-fetch-etags-arguments '("-D" "-I" "-C" "-o" "-"))

(setq speedbar-frame-parameters 
     '((minibuffer . nil)
       (width . 20)
       (scroll-bar-width . 10)
       (border-width . 0)
       (menu-bar-lines . 0)
       (unsplittable . t)
       (font . "-*-courier-medium-r-*-*-12-*-*-*-m-*-*-*")))

;; Texinfo fancy chapter tags
(add-hook 'texinfo-mode-hook (lambda () (require 'sb-texinfo)))

;; HTML fancy chapter tags
(add-hook 'html-mode-hook (lambda () (require 'sb-html)))

;; ANT target tags
(eval-after-load "speedbar" '(load-library "sb-ant"))

(provide 'speedbar-config)

;;; end of speedbar-config.el

