;;; vh.el -- Anbindung an Visual Age C++ Hilfe
;;; $Header$

(defun vh:get-word ()
  "Get text for VH online help."
  (let ((pos (point)) start end)
    (if (looking-at "[:A-Za-z_0-9]+")
        (setq end (match-end 0))
      (setq end pos))
    (goto-char end)
    (if (re-search-backward "[^:A-Za-z_0-9]" nil t)
        (setq start (match-end 0))
      (setq start (point-min)))
    (goto-char pos)
    (if (< start end)
        (buffer-substring start end)
      nil)))

(defvar vh:command "vh.exe"
  "...")

(defun vh (&optional default)
  (interactive (let* ((default (vh:get-word))
                      (input (read-string
                              (if default (format "Topic (default %s): "
                                                  default)
                                "Topic: "))))
                 (list (if (string= input "")
                           default
                         input))))
  (shell-command (concat vh:command " " default)))

(provide 'vh)